Subject: bug#21969: closed (Re: bug#21969: VC opens new window to display minimal messages)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Nov 2015 05:02:02 +0000

Your bug report

#21969: VC opens new window to display minimal messages

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21969: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21969
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21969: VC opens new window to display minimal messages
From: Dmitry Gutov <[email-masked]>
To: David Reitter <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Nov 2015 07:01:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/22/2015 04:28 AM, David Reitter wrote:

> A user or a package might have configured their Emacs such that new buffers aren’t shown in new windows, but in new frames, for example, and undoing that would not be straightforward.  I don’t know how vc displays the buffer - I was just assuming “pop-to-buffer”.

Indeed, that would complicate the "undo" logic. Especially the "new 
frames" part.

> .05s, I’d say.  My “git diff” is way faster than that for a file that hasn’t changed.

We also have vc-root-diff, which handles the whole repository, and not 
just one file. It would be desirable for the to behave similarly.

> No, just git-diff.

Why just Git?

>> I can change it back to synchronous for the mentioned backends (Git, Hg, RCS) now; that's simple. The more advanced solution will have to be written by someone else then.
>
> I would probably change it back for 25.1,

I've reverted it for Git, Hg, MTN and RCS now, which should bring them 
to the Emacs 24 behavior.

> and then someone (who’s the VC maintainer?)

Take a guess.

You can have this honor, if you like.

Subject: VC opens new window to display minimal messages
From: David Reitter <[email-masked]>
To: [email-masked]
Date: Sat, 21 Nov 2015 08:55:44 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

At some point on the way to Emacs 25, VC has begun creating new windows to display messages that would more appropriately fit into the echo area.

For example, you do C-x =, it’ll display a “no revisions between working revision and work file” message.  But that is shown in the echo area AND a newly created window.

The consequence is that the user has to get rid of the superfluous mini window.  Also, mistakes happen - i.e., opening a new file, the new buffer will display in a window that is only one line high, so one’s got to deal with that.

Bottomline, this shouldn’t happen.  Use the echo area appropriately unless there’s really something to display.